/*
 * Ignition.h
 *
 *  Created on: 2024. 2. 29.
 *      Author: SUPYO
 */



#ifndef VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_
#define VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_


#define EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_    extern


#include "stdint.h"

#endif /* VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ */



/*----------------------------------------Functions----------------------------------------*/
/*=================== Ignition On ===================*/
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void IG_OnCheck_HV_Status(void);
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void HV_ON_FUNC(void);
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void Key_on_Sub_Func1(void);
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void Key_on_Sub_Func2(void);
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void Key_on_Sub_Func3(void);
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void Key_on_Process_Func(void);

/*=================== Ignition Off ===================*/
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void IG_OffCheck_HV_Status_2(void);
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void HV_OFF_FUNC(void);
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void Key_off_Sub_Func1(void);
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void Key_off_Sub_Func2(void);
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void Key_off_Sub_Func3(void);
EXT_VEHICLE_SYSTEM_MODE_LAYER_IGNITION_H_ void Key_Off_Process_Func(void);
